Uszkodzony pakiet FGLRX nic nie da sie zainstalować


(Azazel33) #1

Witam, wczoraj postanowiłem zainstalować sterowniki ATI 10.5, wszystko sie zainstalowało, reset komputera i tu uruchamia się z błedem ze właśnie ten pakiet jest uszkodzony - zaznaczyłem opcje uruchom z "default" sterownikami (jakoś tak) zresetowałem komputer uruchomił się, wchodzę w system - administracja - sterowniki pokazuje się że sterowniki ati są wyłączone zaznaczam "włącz" czekam chwile i ciągle wywala błąd

SystemError: installArchives() failed

chciałem zainstalować poźniej KDE, pokazuje że musi pobrać ileś tam pakietów i jeden usunąć właśnie ten FGLRX daje tak - wszystko sie pobiera gdy przystępuje do instalacji wywala błąd że nie moze usunąć, nie moge nic zainstalować ani usunąć a formatować nie chce, wywala ciągle ten sam bład, probowałem synapticem usunąć lecz też nie idzie

ox@x-desktop:~$sudo apt-get install chromium

Czytanie list pakietów... Gotowe

Budowanie drzewa zależności       

Odczyt informacji o stanie... Gotowe

Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:

  libfreebob0 linux-headers-2.6.31-14 fakeroot wine-gecko

  kdebase-runtime-data-common openoffice.org-hyphenation-pl

  libknotificationitem1 libass3 kde-icons-oxygen libexiv2-5 python-utidylib

  libswt-gtk-3.4-java liblzma0 python-gtkmozembed sdparm libtidy-0.99-0

  kdebase-runtime-bin-kde4 libcelt0 dkms libswt-gnome-gtk-3.4-jni

  python-feedparser libjline-java libffado1 libboo2.0-cil libxml++2.6-2 rhino

  libqt4-phonon python-evolution khelpcenter4 patch

  linux-headers-2.6.31-14-generic python-chardet openoffice.org-thesaurus-pl

  libswt-cairo-gtk-3.4-jni libswt-gtk-3.4-jni libfaad0

  libswt-mozilla-gtk-3.4-jni

Aby je usunąć należy użyć "apt-get autoremove".

Zostaną zainstalowane następujące dodatkowe pakiety:

  chromium-bsu chromium-bsu-data libalut0 libglc0 libglpng libsdl-image1.2

  ttf-uralic

Następujące pakiety zostaną USUNIĘTE:

  fglrx

Zostaną zainstalowane następujące NOWE pakiety:

  chromium chromium-bsu chromium-bsu-data libalut0 libglc0 libglpng

  libsdl-image1.2 ttf-uralic

0 aktualizowanych, 8 nowo instalowanych, 1 usuwanych i 10 nieaktualizowanych.

1 nie w pełni zainstalowanych lub usuniętych.

Konieczne pobranie 2217kB archiwów.

Po tej operacji zostanie zwolnione 55,6MB miejsca na dysku.

Kontynuować [T/n]? t

Pob: 1 http://pl.archive.ubuntu.com/ubuntu/ lucid/universe libalut0 1.1.0-2 [32,3kB]

Pob: 2 http://pl.archive.ubuntu.com/ubuntu/ lucid/universe libglc0 0.7.2-1 [77,0kB]

Pob: 3 http://pl.archive.ubuntu.com/ubuntu/ lucid/universe libglpng 1.45-6 [9920B]

Pob: 4 http://pl.archive.ubuntu.com/ubuntu/ lucid/universe libsdl-image1.2 1.2.10-1 [32,6kB]

Pob: 5 http://pl.archive.ubuntu.com/ubuntu/ lucid/universe chromium-bsu-data 0.9.14-1 [1241kB]

Pob: 6 http://pl.archive.ubuntu.com/ubuntu/ lucid/universe ttf-uralic 0.0.20040829-1ubuntu2 [684kB]

Pob: 7 http://pl.archive.ubuntu.com/ubuntu/ lucid/universe chromium-bsu 0.9.14-1 [126kB]

Pob: 8 http://pl.archive.ubuntu.com/ubuntu/ lucid/universe chromium 0.9.14-1 [13,9kB]

Pobrano 2217kB w 12s (175kB/s)                                                 

(Odczytywanie bazy danych ... 176795 plików i katalogów obecnie zainstalowanych.)

Usuwanie fglrx ...

dpkg-divert: niedopasowanie pakietu

  podczas usuwania "diversion of /usr/lib/libGL.so.1.2 to /usr/lib/fglrx/libGL.so.1.2.xlibmesa by fglrx"

  znaleziono "diversion of /usr/lib/libGL.so.1.2 to /usr/lib/fglrx/libGL.so.1.2.xlibmesa by xorg-driver-fglrx"

dpkg: błąd przetwarzania fglrx (--remove):

 podproces zainstalowany skrypt post-removal zwrócił kod błędu 2

Przetwarzanie wyzwalaczy dla ureadahead...

Wystąpiły błędy podczas przetwarzania:

 fglrx

E: Sub-process /usr/bin/dpkg returned an error code (1)

-- Dodane 28.05.2010 (Pt) 12:46 --

jednak wielokrotne próby rozwaliły system, przeinstalowałem na czysty 10.04


(Kaka') #2

Podaj jaką masz wersję kernela. Spróbuj ściągnąć sterowniki ATI ze strony producenta, uruchomić tamtejszy instalator i pokazać log z instalacji (/usr/share/ati/fglrx-install.log).